// serialDlg.h : header file
//

#if !defined(AFX_SERIALDLG_H__E580DA93_EF2E_4FA3_A1EB_DEB30F8F6B85__INCLUDED_)
#define AFX_SERIALDLG_H__E580DA93_EF2E_4FA3_A1EB_DEB30F8F6B85__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSerialDlg dialog

class CSerialDlg : public CDialog
{
// Construction
public:
	CSerialDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSerialDlg)
	enum { IDD = IDD_SERIAL_DIALOG };
	CString	m_TX_buffer;
	CString	m_RX_buffer;
	short	m_len_TX;
	short	m_len_RX;
	int		m_Time;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSerialDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSerialDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnRX();
	afx_msg void OnListen();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERIALDLG_H__E580DA93_EF2E_4FA3_A1EB_DEB30F8F6B85__INCLUDED_)
